\begin{abstract}
%\TODO{todo: title and abstract}
%We study some graph problems motivated from computational structural biology.
%We are given a graph, each vertex $v$ of which must receive one of $k$ possible colors, and a function $w$ that assigns a weight $w((u,i),(v,j)) $ in $\mathbb{R} \cup \{-\infty\}$, for each edge  $uv\in E(G)$, and every pair of colors $i,j \in \{1, \dots , k\}$. Hence, for each $k$-coloring of the graph, every edge is assigned a weight.
%Given an integer $k$, a graph $G$, and a real number $\gamma$, the {\sc Domino} problem consists in deciding whether there exists a $k$-coloring of $G$ such that the sum of the weight of the edges is at least $\gamma$.
%
Given a graph $G=(V,E)$, a color set $C(v)$ for each vertex $v. \in V$, a bipartite graph between color sets $C(u)$ and $C(v)$ for every edge $uv \in E$,  {\sc Conflict Coloring} consists in deciding whether exists a conflict coloring, that is a coloring in which $c(u)c(v)$ is not an edge of the bipartite graph.
{\sc Conflict Coloring}  is motivated by computational structural biology problems, high resolution determination of molecular assemblies.
The graph represents the subunits and the interaction between them, the colors are the given conformations, and the edges of the bipartite graphs are the incompatible conformations of two subunits.


%In a second problem, a threshold $\lambda$ is fixed.  An edge is then {\it fulfilled} if its weight is at least $\lambda$ and {\it conflict} otherwise.
%Given a graph $G$ and two integers $k$ and $q$, the {\sc Fulfill Coloring} problem consists in determining whether there is a $k$-coloring of $G$ such that the number of fulfilled edges is at least $q$, and {\sc Conflict Coloring} consists in deciding whether there exists a $k$-coloring of $G$ with no conflict edges.
%The particular case of these problems when $k$ is fixed are called {\sc Fulfill $k$-Coloring}, {\sc Conflict $k$-Coloring}.


In this paper, we first establish the complexity dichotomies (polynomial vs $\NP$-complete) for {\sc Conflict $k$-Coloring} and its variants. % and some of their restrictions.
%We then present experimental works in which we build instances of {\sc Conflict Coloring} associated with {\em Voronoi diagrams} in the plane. %Precisely, Voronoi polygon represents a vertex and two adjacent polygons (sharing a segment) represents an edge.  A perturbed polygon $V(p)$ of a original polygon $V_r(p)$ defines a color of the vertex. The regions $V(p)$ and $V(q)$ are termed in conflict if their intersection area is more than a given threshold. 
We provide some experiments in which we build instances of {\sc Conflict Coloring} associated to {\em Voronoi diagram} in the plane, and we then analyse the existences of a solution related to parameters used in our experimental setup.
\end{abstract}
